import { Inject, Injectable } from '@nestjs/common';
import { OnEvent } from '@nestjs/event-emitter';
import { MESSAGE_PUBLISHER } from '@src/app.constants';
import { AdCreatedDomainEvent } from '../../domain/events/ad-created.domain-events';
import { MessagePublisherPort } from '@mobicoop/ddd-library';

@Injectable()
export class PublishLogMessageWhenAdIsCreatedDomainEventHandler {
  constructor(
    @Inject(MESSAGE_PUBLISHER)
    private readonly messagePublisher: MessagePublisherPort,
  ) {}

  @OnEvent(AdCreatedDomainEvent.name, { async: true, promisify: true })
  async handle(event: AdCreatedDomainEvent): Promise<any> {
    this.messagePublisher.publish(
      'logging.ad.created.info',
      JSON.stringify(event),
    );
  }
}
