import { Transform } from 'class-transformer';
import { IsLatitude, IsLongitude } from 'class-validator';
import { toPrecision } from './transformers/to-precision';

export class CoordinatesDto {
  @Transform(({ value }) => toPrecision(value, 6), {
    toClassOnly: true,
  })
  @IsLongitude()
  lon: number;

  @Transform(({ value }) => toPrecision(value, 6), {
    toClassOnly: true,
  })
  @IsLatitude()
  lat: number;
}
