import { Address } from '@modules/ad/core/domain/value-objects/address.value-object';

describe('Address value object', () => {
  it('should create an address value object', () => {
    const addressVO = new Address({
      houseNumber: '5',
      street: 'rue de la monnaie',
      locality: 'Nancy',
      postalCode: '54000',
      country: 'France',
      coordinates: {
        lon: 48.689445,
        lat: 6.17651,
      },
    });
    expect(addressVO.houseNumber).toBe('5');
    expect(addressVO.street).toBe('rue de la monnaie');
    expect(addressVO.locality).toBe('Nancy');
    expect(addressVO.postalCode).toBe('54000');
    expect(addressVO.country).toBe('France');
    expect(addressVO.coordinates.lon).toBe(48.689445);
    expect(addressVO.name).toBeUndefined();
  });
});
