import { MarginDurations } from '@modules/ad/core/domain/value-objects/margin-durations.value-object';

describe('Margin durations value object', () => {
  it('should create a margin durations value object', () => {
    const marginDurationsVO = new MarginDurations({
      mon: 600,
      tue: 610,
      wed: 620,
      thu: 630,
      fri: 640,
      sat: 650,
      sun: 660,
    });
    expect(marginDurationsVO.mon).toBe(600);
    expect(marginDurationsVO.tue).toBe(610);
    expect(marginDurationsVO.wed).toBe(620);
    expect(marginDurationsVO.thu).toBe(630);
    expect(marginDurationsVO.fri).toBe(640);
    expect(marginDurationsVO.sat).toBe(650);
    expect(marginDurationsVO.sun).toBe(660);
  });
  it('should update margin durations value object values', () => {
    const marginDurationsVO = new MarginDurations({
      mon: 600,
      tue: 610,
      wed: 620,
      thu: 630,
      fri: 640,
      sat: 650,
      sun: 660,
    });
    marginDurationsVO.mon = 700;
    marginDurationsVO.tue = 710;
    marginDurationsVO.wed = 720;
    marginDurationsVO.thu = 730;
    marginDurationsVO.fri = 740;
    marginDurationsVO.sat = 750;
    marginDurationsVO.sun = 760;
    expect(marginDurationsVO.mon).toBe(700);
    expect(marginDurationsVO.tue).toBe(710);
    expect(marginDurationsVO.wed).toBe(720);
    expect(marginDurationsVO.thu).toBe(730);
    expect(marginDurationsVO.fri).toBe(740);
    expect(marginDurationsVO.sat).toBe(750);
    expect(marginDurationsVO.sun).toBe(760);
  });
});
